<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [sellMaterial](./bitburner.warehouseapi.sellmaterial.md)

## WarehouseAPI.sellMaterial() method

Set material sell data.

<b>Signature:</b>

```typescript
sellMaterial(divisionName: string, cityName: string, materialName: string, amt: string, price: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string | Name of the city |
|  materialName | string | Name of the material |
|  amt | string | Amount to sell, can be "MAX" |
|  price | string | Price to sell, can be "MP" |

<b>Returns:</b>

void

